Summary: Professional FTP daemon with apache-like configuration syntax
Name: proftpd
Version: 1.2.5
Release: 1
Serial: 1
Group: Networking/Daemons
Copyright: GPL
Url: http://www.proftpd.org/
Packager: Hao Li <hli@haoli.org>
Source0: ftp://ftp.proftpd.org/distrib/source/proftpd-%{version}.tar.bz2
Source1: proftpd.conf
Source2: proftpd.logrotate
Source3: proftpd.pam
Source4: proftpd.xinetd
Requires: xinetd
Provides: ftpserver
Conflicts: wu-ftpd ncftpd beroftpd
BuildRoot: /var/tmp/%{name}-root

%description
ProFTPD is a highly configurable ftp daemon for unix and unix-like
operating systems.

ProFTPD is designed to be somewhat of a "drop-in" replacement for wu-ftpd.
Full online documentation is available at http://www.proftpd.org,
including a server configuration directive reference manual.

The default configuration is to run in inetd mode from xinetd, with one 
incoming directory, and use tcp_wrapper.


%prep
%setup -q


%build
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s ./configure \
	--prefix=/usr \
	--sysconfdir=/etc \
	--localstatedir=/var/run \
	--with-modules=mod_linuxprivs:mod_ratio:mod_readme
make


%install
rm -rf $RPM_BUILD_ROOT
make INSTALL_USER=`id -un` INSTALL_GROUP=`id -gn` \
	prefix=$RPM_BUILD_ROOT/usr \
	sysconfdir=$RPM_BUILD_ROOT/etc \
	localstatedir=$RPM_BUILD_ROOT/var/run \
	rundir=$RPM_BUILD_ROOT/var/run/proftpd \
	install

mkdir -p $RPM_BUILD_ROOT/etc/{logrotate.d,pam.d,rc.d/init.d,xinetd.d}
touch $RPM_BUILD_ROOT/etc/ftpusers
install -m644 %{SOURCE1} $RPM_BUILD_ROOT/etc/proftpd.conf
install -m644 %{SOURCE2} $RPM_BUILD_ROOT/etc/logrotate.d/proftpd
install -m644 %{SOURCE3} $RPM_BUILD_ROOT/etc/pam.d/ftp
install -m644 %{SOURCE4} $RPM_BUILD_ROOT/etc/xinetd.d/ftp


%preun
if [ -d /var/run/proftpd ]; then
	rm -rf /var/run/proftpd/*
fi


%files
%defattr(-,root,root)
%doc COPYING CREDITS ChangeLog INSTALL NEWS README* sample-configurations
%config /etc/ftpusers
%config /etc/proftpd.conf
%config /etc/logrotate.d/proftpd
%config /etc/pam.d/ftp
%config /etc/xinetd.d/ftp
%dir /var/run/proftpd
/usr/bin/*
/usr/sbin/*
/usr/man/man*/*


%clean
rm -rf $RPM_BUILD_ROOT
